View Issue Details

IDProjectCategoryView StatusLast Update
0003126SymmetricDS ProNew Featurepublic2018-02-14 15:08
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.0Fixed in Version3.9.2 
Summary0003126: Support viewing Remote Status of Nodes
DescriptionUsing a web socket "control" channel, build the ability to get fine-grained remote batch updates, view process status on other nodes, etc.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 2656a78b

2017-05-25 13:03:37

mmichalek

Details Diff
0003126: Support viewing Remote Status of Nodes
0003126
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-core/build.gradle Diff File

SymmetricDS: 3.9 8fbdf9aa

2017-06-06 22:51:15

mmichalek

Details Diff
0003126: Support viewing Remote Status of Nodes
0003126
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ServerConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/TransportManagerFactory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricWebServer.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/BandwidthSamplerUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/BatchUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/InfoUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/PingUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/ServerSymmetricEngine.java Diff File

SymmetricDS: 3.9 33d1559c

2017-06-07 11:03:07

mmichalek

Details Diff
0003126: Support viewing Remote Status of Nodes
0003126
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/INodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockNodeService.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/AuthenticationInterceptor.java Diff File

SymmetricDS: 3.9 a74f1aff

2017-06-15 09:34:40

mmichalek

Details Diff
0003126: Support viewing Remote Status of Nodes
0003126
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileTriggerFileModifiedListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/AbstractBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ProcessInfo.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapDetector.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapFastDetector.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OfflinePushService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/statistic/StatisticManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalTransportManager.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/FileSyncPullUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/PullUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File

SymmetricDS: 3.9 3a95d458

2017-06-20 16:39:12

mmichalek

Details Diff
0003126: Support viewing Remote Status of Nodes
0003126
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File

Issue History

Date Modified Username Field Change
2017-05-25 13:02 mmichalek New Issue
2017-05-25 13:02 mmichalek Status new => assigned
2017-05-25 13:02 mmichalek Assigned To => mmichalek
2017-06-20 16:52 mmichalek Status assigned => resolved
2017-06-20 16:52 mmichalek Resolution open => fixed
2017-06-20 16:52 mmichalek Fixed in Version => 3.9.0
2018-01-02 18:21 mmichalek Fixed in Version 3.9.0 => 3.9.2
2018-01-02 18:22 mmichalek Status resolved => closed
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 3a95d458
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 a74f1aff
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 33d1559c
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 8fbdf9aa
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 2656a78b